Bug 492048 - Please activate the --with-moonlight parameter
Please activate the --with-moonlight parameter
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: mono (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Xavier Lamien
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-24 23:39 EDT by Ismael Olea
Modified: 2009-05-11 17:24 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-11 17:24:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ismael Olea 2009-03-24 23:39:40 EDT
Description of problem:

At rpmfusion.org we are in the process of publishing moonlight[1]. At the moment it compiles with custom Fedora's mono for being Silverlight 1 compatible.

For Silverlight 2 we'll need this mono compiler switch enabled for being able of generating the classes subset needed from the mono distribution into the moonlight distribution.

There is no patent potential problems[2] here since there is not new external code neither any other kind of change in the way of compiling or using mono or the mono apps.

So, please, only activate this switch.

[1] https://bugzilla.rpmfusion.org/show_bug.cgi?id=436
[2] https://bugzilla.rpmfusion.org/show_bug.cgi?id=436#c11
Comment 1 Paul F. Johnson 2009-03-25 14:50:43 EDT
Before I do this, I'll check with fedora-legal. There is a change in compiling as you need to build smcs (silverlight mcs) which does call on code which potentially brings mono into patent problems.
Comment 2 Tom "spot" Callaway 2009-04-01 13:28:49 EDT
Lifting FE-Legal. Using this flag is okay, moonlight itself is still not.
Comment 3 Ismael Olea 2009-04-01 13:50:08 EDT
(In reply to comment #2)
> Lifting FE-Legal. Using this flag is okay, moonlight itself is still not.  

Nice!

Is the report discouraging moonlight available anywhere? I would be interested in study it. Thanks!
Comment 4 Tom "spot" Callaway 2009-04-01 13:56:34 EDT
I'm not sure what you're asking for here.
Comment 5 David Nielsen 2009-04-01 14:48:17 EDT
moonlight should be fine in rpmfusion just not in main Ismael. Let the reviewing begin.
Comment 6 Ismael Olea 2009-04-01 15:04:07 EDT
(In reply to comment #5)
> moonlight should be fine in rpmfusion just not in main Ismael. 

Of course! If there exist a current guideline in Fedora it still applies.

My interest is, if possible, about helping to constructively clear the doubts on the potential Moonlight risks so the guidelines could be revised in the future.

In the short term I'm happy with this flag activated :-)
Comment 7 David Nielsen 2009-04-06 20:10:23 EDT
At the Oct. 2008 PDC Microsoft put at least parts of Silverlight under the Open Specification Promise[1][2]. This is basically a convenant not to sue. If Red Hat Legal still feels there is an undue risk then at least we can say that things are moving in the right direction on Microsoft' part, promising not to sue us for implementing certain rather big parts. 

Now the parts they put under the OSP is the XAML vocabulary specification, this means any third party could implement something that reads and writes XAML markup without getting sued. It is my understanding that Moonlight would fall under said catagory.

Tom is it Legals opinion that Moonlight extends beyond this scope?

Regardless, Microsoft promising not to sue us is a good first step, especially in a widely circulated MS press release.

On a sidenote, Paul how is the enablement coming along?

[1] http://www.microsoft.com/presspass/press/2008/oct08/10-13Silverlight2PR.mspx
[2] http://en.wikipedia.org/wiki/Microsoft_Open_Specification_Promise
Comment 8 Paul F. Johnson 2009-04-07 05:41:05 EDT
It's packaged. I've put all the moonlight stuff in a separate subpackage (mono-moonlight) and disabled PPC for now. I'll open a bug on that once koji has built everything
Comment 9 Tom "spot" Callaway 2009-04-07 09:18:46 EDT
Moonlight is still not permissable in Fedora. The OSP does not change that.
Comment 10 Tom "spot" Callaway 2009-05-11 17:24:29 EDT
This is in rawhide, F11.

Note You need to log in before you can comment on or make changes to this bug.